|  | Home · All Classes · Modules

# QInputEvent Class Reference
[QtGui module]

The QInputEvent class is the base class for events that describe user input. More...

Inherits QEvent.

Inherited by QContextMenuEvent, QKeyEvent, QMouseEvent, QTabletEvent, QTouchEvent and QWheelEvent.

### Methods

- Qt.KeyboardModifiers modifiers (self)

## Detailed Description

The QInputEvent class is the base class for events that describe user input.

## Method Documentation

### Qt.KeyboardModifiers QInputEvent.modifiers (self)

Returns the keyboard modifier flags that existed immediately before the event occurred.

See also QApplication.keyboardModifiers().